/* BlinkenLib
 * version 0.1 date 2004-11-25
 * Copyright (C) 2004: Stefan Schuermans <1stein@schuermans.info>
 * Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html
 * a blinkenarea.org project
 * powered by eventphone.de
 */

#include <stdio.h>
#include <stdlib.h>

#include "BlinkenMovie.h"

int main( int argCnt, char * * args )
{
  stBlinkenMovie * pMovie;
  char * str;

  //print info
  printf( "BlinkenLib\n"
          "version 0.1 date 2004-11-25\n"
          "Copyright (C) 2004: Stefan Schuermans <1stein@schuermans.info>\n"
          "Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html\n"
          "a blinkenarea.org project\n"
          "powered by eventphone.de\n\n" );

  //print syntax
  if( argCnt <= 1 )
  {
    printf( "syntax: ./BlinkenConv <input-file> [<output-file>]\n\n"
            "  - output files may be *.blm, *.bmm, *.bml, *.bbm\n\n" );
  }

  //no movie loaded
  pMovie = NULL;

  //read movie
  if( argCnt >= 2 )
    pMovie = BlinkenMovieLoad( args[1] );

  //movie was loaded
  if( pMovie != NULL )
  {
    //print movie
    if( argCnt <= 2 )
    {
      str = BlinkenMovieToString( pMovie );
      if( str != NULL )
      {
        printf( "%s", str );
        free( str );
      }
    }

    //save movie
    if( argCnt >= 3 )
      BlinkenMovieSave( pMovie, args[2] );

    //free movie
    BlinkenMovieFree( pMovie );
    pMovie = NULL;
  }

  return 0;
}
